Bug 870134 - fuseiso: Doesn't work on s390x architecture
fuseiso: Doesn't work on s390x architecture
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fuseiso (Show other bugs)
18
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 11:42 EDT by Jan Lieskovsky
Modified: 2014-02-05 07:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:43:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-10-25 11:42:03 EDT
Description of problem:
fuseiso doesn't work on s390x architecture.

Version-Release number of selected component (if applicable):
fuseiso-20070708-12.fc18

How reproducible:
Always

Steps to Reproduce:
1. $ fuseiso Fedora-17-x86_64-netinst.iso ./mnt

never ends.
  
Actual results:
Mount attempt is unsuccessful and needs to be killed manually.
$ time fuseiso Fedora-17-x86_64-netinst.iso ./mnt
^C

real    3m2.400s
user    2m36.763s
sys     0m0.549s


Expected results:
Relevant iso successfully mounted.

Additional info:
Comparison example for x86_64 arch:
$ time fuseiso Fedora-17-x86_64-netinst.iso /home/user/mnt/

real    0m0.012s
user    0m0.003s
sys     0m0.004s

$ cd /home/user/mnt/
$ ls
EFI  images  isolinux  LiveOS
Comment 1 Dan Horák 2013-06-06 09:08:21 EDT
Jan, can you retest fuseiso also on ppc/ppc64 and/or with recent Fedoras? Could be a big-endian or (un-)signed char issue.
Comment 2 Fedora End Of Life 2013-12-21 04:11:59 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 07:43:09 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.